Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tapeutils.impl.zx81
Class ZX81SampleAnalyzerParameters

    java.lang.Object
      tapeutils.Parameters
          tapeutils.impl.zx81.ZX81SampleAnalyzerParameters

public class ZX81SampleAnalyzerParameters
extends Parameters

This class holds the parameters for conversion.

Author:
  hldswrth

Constructor Summary
`ZX81SampleAnalyzerParameters()` Default constructor.
`ZX81SampleAnalyzerParameters(ZX81SampleAnalyzerParameters defaults, java.util.Properties props, java.lang.String propertyKey, java.lang.String fileName)` Construct the parameters from the given properties and defaults.

Method Summary
`java.lang.String` | `getFileName()`
`int` | `getMaxGap()`
`int` | `getMaxGap(boolean[] isDefault)`
`int` | `getMaxWaveLength()`
`int` | `getMaxWaveLength(boolean[] isDefault)`
`int` | `getMinGap()`
`int` | `getMinGap(boolean[] isDefault)`
`int` | `getNoiseThreshold()`
`int` | `getNoiseThreshold(boolean[] isDefault)`
`int` | `getNumDataBytes()`
`int` | `getNumDataBytes(boolean[] isDefault)`
`java.lang.String` | `getPropertyKey()`
`boolean` | `setFileName(java.lang.String newValue)` Update the file name.
`boolean` | `setMaxGap(int newValue)`
`boolean` | `setMaxWaveLength(int newValue)`
`boolean` | `setMinGap(int newValue)`
`boolean` | `setNoiseThreshold(int newValue)`
`boolean` | `setNumDataBytes(int newValue)`

Methods inherited from class tapeutils.Parameters
`getValue, getValue, init, setValue, updatePropertyKeyRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZX81SampleAnalyzerParameters

    public ZX81SampleAnalyzerParameters()

  Default constructor.

### ZX81SampleAnalyzerParameters

    public ZX81SampleAnalyzerParameters(ZX81SampleAnalyzerParameters defaults,
                                        java.util.Properties props,
                                        java.lang.String propertyKey,
                                        java.lang.String fileName)

  Construct the parameters from the given properties and defaults.

Parameters:
  `defaults` -
  `props` -
  `propertyKey` -
  `fileName` -

Method Detail

### setFileName

    public boolean setFileName(java.lang.String newValue)

  Update the file name.

  Entries for the new file name are replaced by those for the existing file name.

  Parameters:
    `newValue` - The new file name.
  Returns:
    Indicates whether the name changed.

### getPropertyKey

    public java.lang.String getPropertyKey()

  Returns:
    Returns the value.

### getFileName

    public java.lang.String getFileName()

  Returns:
    Returns the value.

### setNoiseThreshold

    public boolean setNoiseThreshold(int newValue)

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has been updated.

### setMinGap

    public boolean setMinGap(int newValue)

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has been updated.

### setMaxGap

    public boolean setMaxGap(int newValue)

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has been updated.

### setMaxWaveLength

    public boolean setMaxWaveLength(int newValue)

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has been updated.

### setNumDataBytes

    public boolean setNumDataBytes(int newValue)

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has been updated.

### getNoiseThreshold

    public int getNoiseThreshold()

  Returns:
    Returns the value.

### getNoiseThreshold

    public int getNoiseThreshold(boolean[] isDefault)

  Parameters:
    `isDefault` -
  Returns:
    The value

### getMinGap

    public int getMinGap()

  Returns:
    Returns the value.

### getMinGap

    public int getMinGap(boolean[] isDefault)

  Parameters:
    `isDefault` -
  Returns:
    The value

### getMaxGap

    public int getMaxGap()

  Returns:
    Returns the value.

### getMaxGap

    public int getMaxGap(boolean[] isDefault)

  Parameters:
    `isDefault` -
  Returns:
    The value

### getMaxWaveLength

    public int getMaxWaveLength()

  Returns:
    Returns the value.

### getMaxWaveLength

    public int getMaxWaveLength(boolean[] isDefault)

  Parameters:
    `isDefault` -
  Returns:
    The value

### getNumDataBytes

    public int getNumDataBytes()

  Returns:
    Returns the value.

### getNumDataBytes

    public int getNumDataBytes(boolean[] isDefault)

  Parameters:
    `isDefault` -
  Returns:
    The value

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD